import { TemplateRef } from '@angular/core';
import { BbCollectionsInitialContext } from '../../directives/collections-initial.directive';
import { BbCollectionsErrorContext } from '../../directives/collections-error.directive';
import { BbCollectionsEmptyContext } from '../../directives/collections-empty.directive';
import { BbCollectionsDataContext } from '../../directives/collections-data.directive';
import { Collection } from '../../collection';
import * as i0 from "@angular/core";
export declare class BbCollectionsViewer<T = unknown> {
    dataTemplate?: TemplateRef<BbCollectionsDataContext<T>>;
    emptyTemplate?: TemplateRef<BbCollectionsEmptyContext<T>>;
    errorTemplate?: TemplateRef<BbCollectionsErrorContext<T>>;
    initialTemplate?: TemplateRef<BbCollectionsInitialContext<T>>;
    collection: Collection<T> | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbCollectionsViewer<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbCollectionsViewer<any>, "[bb-collections-viewer]", never, { "collection": { "alias": "collection"; "required": false; }; }, {}, ["dataTemplate", "emptyTemplate", "errorTemplate", "initialTemplate"], never, true, never>;
}
