export declare const extraPapiamentoDictionary: {
    'form-control-errors': {
        unknown: string;
        required: string;
        pattern: string;
        email: string;
        emailTaken: string;
        passwordMatch: string;
        confirm: string;
        fullNumber: string;
        min: string;
        max: string;
        invalidFileType: string;
        maxFileSize: string;
        minDate: string;
        maxDate: string;
        invalidDate: string;
        minlength: string;
        maxlength: string;
    };
    select: {
        not_found_text: string;
        clear_all_text: string;
        loading_text: string;
        type_to_search_text: string;
        add_tag_text: string;
    };
    'multi-file-control': {
        choose_file: string;
        choose_file_text: string;
    };
    collection: {
        search_label: string;
        showing_label: string;
        no_results_label: string;
        empty_label: string;
        error_label: string;
    };
    tables: {
        search: string;
        loading: string;
        empty: string;
        page: string;
        error_datasource: string;
        error_unauthorized: string;
        error_forbidden: string;
        error_not_found: string;
        error_server: string;
        error_down: string;
        error_unknown: string;
    };
    'file-picker': {
        choose: string;
        remove: string;
        drop: string;
    };
    times: {
        tomorrow_at: string;
        today_at: string;
        yesterday_at: string;
    };
};
