import { LocalizeFunction, LocalizeFunctionMap } from '../interfaces/functions.interfaces';
import { LocalizeParams } from '../interfaces/options.interfaces';
import { LocalizeConfig } from '../interfaces/config.interfaces';
import { LocalizeTransform } from './abstract.transform';
import { Localize } from '../localize.service';
export declare class LocalizeInterpolateTransform extends LocalizeTransform {
    protected config: LocalizeConfig;
    protected functions?: LocalizeFunction[];
    readonly substitutions: [leftSubstitution: string, rightSubstitution: string];
    readonly functionsMap: LocalizeFunctionMap;
    constructor(config: LocalizeConfig, functions?: LocalizeFunction[]);
    execute(value: string, data: LocalizeParams['data'], localize: Localize): string;
    protected parseInterpolationToken(value: string, data: LocalizeParams['data'], localize: Localize): string;
}
