import type Inputmask from 'inputmask';
export type InputMaskOptions<T> = Inputmask.Options & {
    parser?: (value: any) => T;
};
export type CurrencyMaskOptions = {
    symbol: string;
    symbolFormat: 'wide' | 'narrow';
    spacer: string;
    digits: number;
    digitsOptional: boolean;
    decimalCharacter: string;
    groupCharacter: string;
    min: number;
    max: number;
    allowMinus: boolean;
    nullable: boolean;
};
export type DateMaskFormat = 'day-month-year' | 'month-day-year' | 'year-month-day' | 'year-day-month';
export declare const createMask: <T>(options: string | InputMaskOptions<T>) => InputMaskOptions<T>;
