import { CurrencyMaskOptions, DateMaskFormat } from './input-mask.interface';
import { Localize } from '@bravobit/bb-foundation/localize';
import * as i0 from "@angular/core";
export declare class Masking {
    private _localize?;
    constructor(_localize?: Localize);
    date(format: DateMaskFormat, separator?: string): import("./input-mask.interface").InputMaskOptions<string>;
    currency(code: string, options?: Partial<CurrencyMaskOptions>): import("./input-mask.interface").InputMaskOptions<string | number>;
    private getDateParts;
    static ɵfac: i0.ɵɵFactoryDeclaration<Masking, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Masking>;
}
