export interface StorageAttributes {
    expires?: Date | number;
}
export interface CookieStorageAttributes extends StorageAttributes {
    domain?: string;
    path?: string;
    secure?: boolean;
    sameSite?: 'None' | 'Lax' | 'Strict';
}
export interface PolyfillStorageAttributes extends StorageAttributes {
}
export interface MemoryStorageAttributes extends StorageAttributes {
}
