import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Auth } from '../auth.service';
import * as i0 from "@angular/core";
export declare class BbAuthenticated implements OnInit, OnDestroy {
    private _auth;
    private _templateRef;
    private _viewContainerRef;
    private _valid;
    private _elseTemplateRef;
    private _thenViewRef;
    private _elseViewRef;
    private _subscription;
    set bbAuthenticatedElse(templateRef: TemplateRef<any>);
    constructor(_auth: Auth, _templateRef: TemplateRef<any>, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private updateView;
    private assertTemplate;
    static ngAcceptInputType_bbAuthenticatedElse: TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAuthenticated, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbAuthenticated, "[bbAuthenticated]", never, { "bbAuthenticatedElse": { "alias": "bbAuthenticatedElse"; "required": false; }; }, {}, never, never, true, never>;
}
