import { HttpClient } from '@angular/common/http';
export interface AuthProvider {
    authenticate(httpClient: HttpClient): Promise<AuthProviderResult>;
}
export interface AuthProviderResponse {
    token: string;
    refresh_token?: string;
    provider?: string;
    verify_token?: string;
    user?: any;
}
export interface AuthProviderResult {
    accessToken?: string;
    refreshToken?: string;
    provider?: string;
    verifyToken?: string;
    user?: any;
}
export interface AuthSignInResponse {
    user?: unknown;
    provider?: string;
    verifyToken?: string;
}
