import { RendererFactory2 } from '@angular/core';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class Files {
    private _platform;
    private _rendererFactory;
    private _window;
    private readonly _renderer;
    constructor(_platform: Platform, _rendererFactory: RendererFactory2, _window: Window);
    download(file: File, name?: string): void;
    download(blob: Blob, name: string): void;
    fromDataUri(dataUri: string, name: string): File;
    create(blob: Blob, name: string): File;
    private createAnchorElement;
    private revokeUrlAndPressAnchor;
    private pressAnchor;
    static ɵfac: i0.ɵɵFactoryDeclaration<Files, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Files>;
}
