import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { PermissionsMode } from '../permissions.interface';
import { Permissions } from '../permissions.service';
import * as i0 from "@angular/core";
export declare class BbPermission implements OnInit, OnDestroy {
    private _permissions;
    private _templateRef;
    private _viewContainerRef;
    private _elseTemplateRef;
    private _thenViewRef;
    private _elseViewRef;
    private _valid;
    private _permission$;
    private _mode$;
    set bbPermission(value: string | string[]);
    set bbPermissionElse(templateRef: TemplateRef<any>);
    set bbPermissionMode(mode: PermissionsMode);
    private _subscription;
    constructor(_permissions: Permissions, _templateRef: TemplateRef<any>, _viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private updateView;
    private assertTemplate;
    static ngAcceptInputType_bbPermission: string | string[];
    static ngAcceptInputType_bbPermissionElse: TemplateRef<any>;
    static ngAcceptInputType_bbPermissionMode: PermissionsMode;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbPermission, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BbPermission, "[bbPermission]", never, { "bbPermission": { "alias": "bbPermission"; "required": false; }; "bbPermissionElse": { "alias": "bbPermissionElse"; "required": false; }; "bbPermissionMode": { "alias": "bbPermissionMode"; "required": false; }; }, {}, never, never, true, never>;
}
