/// <reference types="grecaptcha" />
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class RecaptchaLoader {
    private readonly _platform;
    private readonly _rendererFactory;
    private readonly _config;
    private readonly _localize;
    private readonly _localeId;
    private readonly _document;
    private readonly _renderer;
    readonly ready$: BehaviorSubject<ReCaptchaV2.ReCaptcha | null> | null;
    private readonly _windowLoadFn;
    constructor();
    private createScript;
    private getUrl;
    private getQueryParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecaptchaLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RecaptchaLoader>;
}
